CLASS T(3)

NAME
boost::date_time::dynamic_local_time_adjustor - Allow sliding utc adjustment with fixed dst rules.

SYNOPSIS

// In header: <boost/date_time/local_time_adjustor.hpp>
template<typename time_type, typename dst_rules>
class dynamic_local_time_adjustor {
public:
  // types
  typedef time_type::time_duration_type time_duration_type;
  typedef time_type::date_type          date_type;
  // construct/copy/destruct
  dynamic_local_time_adjustor(time_duration_type);
  // public member functions
  time_duration_type utc_offset(bool);
};

DESCRIPTION

  dynamic_local_time_adjustor public construct/copy/destruct

    1.

    dynamic_local_time_adjustor(time_duration_type utc_offset);

  dynamic_local_time_adjustor public member functions

    1.

    time_duration_type utc_offset(bool is_dst);
    Presumes local time. .RE